Skip to main content
POST
/
pipeline
/
{container_id}
/
source
/
{source_id}
/
sample
Create data sample
curl --request POST \
  --url https://api.mezmo.com/v3/pipeline/{container_id}/source/{source_id}/sample \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    "<unknown>"
  ],
  "title": "<string>",
  "version": "v2",
  "container_type": "pipeline"
}
'

Documentation Index

Fetch the complete documentation index at: https://mezmo-9a59581a-mintlify-926f893d.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your token in the format: Token mytokengoeshere

Path Parameters

container_id
string<uuid>
required

The ID of the container entity, either a Pipeline or Processor Group

source_id
required

The ID of the source to retrieve samples for

Body

application/json
data
any[]
required
Required array length: 1 - 100 elements
title
string | null
Required string length: 1 - 512
Pattern: ^[^<>"]+$
version
enum<string>
default:v2
Available options:
v2
container_type
enum<string>
default:pipeline

Discriminator to identify the type of container referenced by the container_id

Available options:
pipeline,
transform_group

Response

200

Default Response